"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var MachineLearningClient_1 = require("./MachineLearningClient");
var AddTagsCommand_1 = require("./commands/AddTagsCommand");
var CreateBatchPredictionCommand_1 = require("./commands/CreateBatchPredictionCommand");
var CreateDataSourceFromRDSCommand_1 = require("./commands/CreateDataSourceFromRDSCommand");
var CreateDataSourceFromRedshiftCommand_1 = require("./commands/CreateDataSourceFromRedshiftCommand");
var CreateDataSourceFromS3Command_1 = require("./commands/CreateDataSourceFromS3Command");
var CreateEvaluationCommand_1 = require("./commands/CreateEvaluationCommand");
var CreateMLModelCommand_1 = require("./commands/CreateMLModelCommand");
var CreateRealtimeEndpointCommand_1 = require("./commands/CreateRealtimeEndpointCommand");
var DeleteBatchPredictionCommand_1 = require("./commands/DeleteBatchPredictionCommand");
var DeleteDataSourceCommand_1 = require("./commands/DeleteDataSourceCommand");
var DeleteEvaluationCommand_1 = require("./commands/DeleteEvaluationCommand");
var DeleteMLModelCommand_1 = require("./commands/DeleteMLModelCommand");
var DeleteRealtimeEndpointCommand_1 = require("./commands/DeleteRealtimeEndpointCommand");
var DeleteTagsCommand_1 = require("./commands/DeleteTagsCommand");
var DescribeBatchPredictionsCommand_1 = require("./commands/DescribeBatchPredictionsCommand");
var DescribeDataSourcesCommand_1 = require("./commands/DescribeDataSourcesCommand");
var DescribeEvaluationsCommand_1 = require("./commands/DescribeEvaluationsCommand");
var DescribeMLModelsCommand_1 = require("./commands/DescribeMLModelsCommand");
var DescribeTagsCommand_1 = require("./commands/DescribeTagsCommand");
var GetBatchPredictionCommand_1 = require("./commands/GetBatchPredictionCommand");
var GetDataSourceCommand_1 = require("./commands/GetDataSourceCommand");
var GetEvaluationCommand_1 = require("./commands/GetEvaluationCommand");
var GetMLModelCommand_1 = require("./commands/GetMLModelCommand");
var PredictCommand_1 = require("./commands/PredictCommand");
var UpdateBatchPredictionCommand_1 = require("./commands/UpdateBatchPredictionCommand");
var UpdateDataSourceCommand_1 = require("./commands/UpdateDataSourceCommand");
var UpdateEvaluationCommand_1 = require("./commands/UpdateEvaluationCommand");
var UpdateMLModelCommand_1 = require("./commands/UpdateMLModelCommand");
var MachineLearning = /** @class */ (function (_super) {
    tslib_1.__extends(MachineLearning, _super);
    function MachineLearning() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MachineLearning.prototype.addTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.createBatchPrediction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateBatchPredictionCommand_1.CreateBatchPredictionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.createDataSourceFromRDS = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDataSourceFromRDSCommand_1.CreateDataSourceFromRDSCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.createDataSourceFromRedshift = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDataSourceFromRedshiftCommand_1.CreateDataSourceFromRedshiftCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.createDataSourceFromS3 = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDataSourceFromS3Command_1.CreateDataSourceFromS3Command(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.createEvaluation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateEvaluationCommand_1.CreateEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.createMLModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateMLModelCommand_1.CreateMLModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.createRealtimeEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateRealtimeEndpointCommand_1.CreateRealtimeEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.deleteBatchPrediction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteBatchPredictionCommand_1.DeleteBatchPredictionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.deleteDataSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDataSourceCommand_1.DeleteDataSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.deleteEvaluation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEvaluationCommand_1.DeleteEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.deleteMLModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteMLModelCommand_1.DeleteMLModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.deleteRealtimeEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRealtimeEndpointCommand_1.DeleteRealtimeEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.deleteTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteTagsCommand_1.DeleteTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.describeBatchPredictions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeBatchPredictionsCommand_1.DescribeBatchPredictionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.describeDataSources = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDataSourcesCommand_1.DescribeDataSourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.describeEvaluations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEvaluationsCommand_1.DescribeEvaluationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.describeMLModels = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeMLModelsCommand_1.DescribeMLModelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.describeTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTagsCommand_1.DescribeTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.getBatchPrediction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetBatchPredictionCommand_1.GetBatchPredictionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.getDataSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDataSourceCommand_1.GetDataSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.getEvaluation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetEvaluationCommand_1.GetEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.getMLModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetMLModelCommand_1.GetMLModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.predict = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PredictCommand_1.PredictCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.updateBatchPrediction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateBatchPredictionCommand_1.UpdateBatchPredictionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.updateDataSource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDataSourceCommand_1.UpdateDataSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.updateEvaluation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateEvaluationCommand_1.UpdateEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    MachineLearning.prototype.updateMLModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateMLModelCommand_1.UpdateMLModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return MachineLearning;
}(MachineLearningClient_1.MachineLearningClient));
exports.MachineLearning = MachineLearning;
//# sourceMappingURL=MachineLearning.js.map