"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateBatchPrediction_1 = require("../model/operations/CreateBatchPrediction");
var CreateBatchPredictionCommand = /** @class */ (function () {
    function CreateBatchPredictionCommand(input) {
        this.input = input;
        this.model = CreateBatchPrediction_1.CreateBatchPrediction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateBatchPredictionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateBatchPredictionCommand;
}());
exports.CreateBatchPredictionCommand = CreateBatchPredictionCommand;
//# sourceMappingURL=CreateBatchPredictionCommand.js.map