"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDataSourceFromRedshift_1 = require("../model/operations/CreateDataSourceFromRedshift");
var CreateDataSourceFromRedshiftCommand = /** @class */ (function () {
    function CreateDataSourceFromRedshiftCommand(input) {
        this.input = input;
        this.model = CreateDataSourceFromRedshift_1.CreateDataSourceFromRedshift;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDataSourceFromRedshiftCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDataSourceFromRedshiftCommand;
}());
exports.CreateDataSourceFromRedshiftCommand = CreateDataSourceFromRedshiftCommand;
//# sourceMappingURL=CreateDataSourceFromRedshiftCommand.js.map