"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDataSourceFromS3_1 = require("../model/operations/CreateDataSourceFromS3");
var CreateDataSourceFromS3Command = /** @class */ (function () {
    function CreateDataSourceFromS3Command(input) {
        this.input = input;
        this.model = CreateDataSourceFromS3_1.CreateDataSourceFromS3;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDataSourceFromS3Command.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDataSourceFromS3Command;
}());
exports.CreateDataSourceFromS3Command = CreateDataSourceFromS3Command;
//# sourceMappingURL=CreateDataSourceFromS3Command.js.map