"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateEvaluation_1 = require("../model/operations/CreateEvaluation");
var CreateEvaluationCommand = /** @class */ (function () {
    function CreateEvaluationCommand(input) {
        this.input = input;
        this.model = CreateEvaluation_1.CreateEvaluation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateEvaluationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateEvaluationCommand;
}());
exports.CreateEvaluationCommand = CreateEvaluationCommand;
//# sourceMappingURL=CreateEvaluationCommand.js.map