"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateMLModel_1 = require("../model/operations/CreateMLModel");
var CreateMLModelCommand = /** @class */ (function () {
    function CreateMLModelCommand(input) {
        this.input = input;
        this.model = CreateMLModel_1.CreateMLModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateMLModelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateMLModelCommand;
}());
exports.CreateMLModelCommand = CreateMLModelCommand;
//# sourceMappingURL=CreateMLModelCommand.js.map