"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateRealtimeEndpoint_1 = require("../model/operations/CreateRealtimeEndpoint");
var CreateRealtimeEndpointCommand = /** @class */ (function () {
    function CreateRealtimeEndpointCommand(input) {
        this.input = input;
        this.model = CreateRealtimeEndpoint_1.CreateRealtimeEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateRealtimeEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateRealtimeEndpointCommand;
}());
exports.CreateRealtimeEndpointCommand = CreateRealtimeEndpointCommand;
//# sourceMappingURL=CreateRealtimeEndpointCommand.js.map