"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteBatchPrediction_1 = require("../model/operations/DeleteBatchPrediction");
var DeleteBatchPredictionCommand = /** @class */ (function () {
    function DeleteBatchPredictionCommand(input) {
        this.input = input;
        this.model = DeleteBatchPrediction_1.DeleteBatchPrediction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteBatchPredictionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteBatchPredictionCommand;
}());
exports.DeleteBatchPredictionCommand = DeleteBatchPredictionCommand;
//# sourceMappingURL=DeleteBatchPredictionCommand.js.map