"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDataSource_1 = require("../model/operations/DeleteDataSource");
var DeleteDataSourceCommand = /** @class */ (function () {
    function DeleteDataSourceCommand(input) {
        this.input = input;
        this.model = DeleteDataSource_1.DeleteDataSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDataSourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDataSourceCommand;
}());
exports.DeleteDataSourceCommand = DeleteDataSourceCommand;
//# sourceMappingURL=DeleteDataSourceCommand.js.map