"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteEvaluation_1 = require("../model/operations/DeleteEvaluation");
var DeleteEvaluationCommand = /** @class */ (function () {
    function DeleteEvaluationCommand(input) {
        this.input = input;
        this.model = DeleteEvaluation_1.DeleteEvaluation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteEvaluationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteEvaluationCommand;
}());
exports.DeleteEvaluationCommand = DeleteEvaluationCommand;
//# sourceMappingURL=DeleteEvaluationCommand.js.map