"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteMLModel_1 = require("../model/operations/DeleteMLModel");
var DeleteMLModelCommand = /** @class */ (function () {
    function DeleteMLModelCommand(input) {
        this.input = input;
        this.model = DeleteMLModel_1.DeleteMLModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteMLModelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteMLModelCommand;
}());
exports.DeleteMLModelCommand = DeleteMLModelCommand;
//# sourceMappingURL=DeleteMLModelCommand.js.map