"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRealtimeEndpoint_1 = require("../model/operations/DeleteRealtimeEndpoint");
var DeleteRealtimeEndpointCommand = /** @class */ (function () {
    function DeleteRealtimeEndpointCommand(input) {
        this.input = input;
        this.model = DeleteRealtimeEndpoint_1.DeleteRealtimeEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRealtimeEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRealtimeEndpointCommand;
}());
exports.DeleteRealtimeEndpointCommand = DeleteRealtimeEndpointCommand;
//# sourceMappingURL=DeleteRealtimeEndpointCommand.js.map