"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeBatchPredictions_1 = require("../model/operations/DescribeBatchPredictions");
var DescribeBatchPredictionsCommand = /** @class */ (function () {
    function DescribeBatchPredictionsCommand(input) {
        this.input = input;
        this.model = DescribeBatchPredictions_1.DescribeBatchPredictions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeBatchPredictionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeBatchPredictionsCommand;
}());
exports.DescribeBatchPredictionsCommand = DescribeBatchPredictionsCommand;
//# sourceMappingURL=DescribeBatchPredictionsCommand.js.map