"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDataSources_1 = require("../model/operations/DescribeDataSources");
var DescribeDataSourcesCommand = /** @class */ (function () {
    function DescribeDataSourcesCommand(input) {
        this.input = input;
        this.model = DescribeDataSources_1.DescribeDataSources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDataSourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDataSourcesCommand;
}());
exports.DescribeDataSourcesCommand = DescribeDataSourcesCommand;
//# sourceMappingURL=DescribeDataSourcesCommand.js.map