"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEvaluations_1 = require("../model/operations/DescribeEvaluations");
var DescribeEvaluationsCommand = /** @class */ (function () {
    function DescribeEvaluationsCommand(input) {
        this.input = input;
        this.model = DescribeEvaluations_1.DescribeEvaluations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEvaluationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEvaluationsCommand;
}());
exports.DescribeEvaluationsCommand = DescribeEvaluationsCommand;
//# sourceMappingURL=DescribeEvaluationsCommand.js.map