"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetBatchPrediction_1 = require("../model/operations/GetBatchPrediction");
var GetBatchPredictionCommand = /** @class */ (function () {
    function GetBatchPredictionCommand(input) {
        this.input = input;
        this.model = GetBatchPrediction_1.GetBatchPrediction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetBatchPredictionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetBatchPredictionCommand;
}());
exports.GetBatchPredictionCommand = GetBatchPredictionCommand;
//# sourceMappingURL=GetBatchPredictionCommand.js.map