"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetDataSource_1 = require("../model/operations/GetDataSource");
var GetDataSourceCommand = /** @class */ (function () {
    function GetDataSourceCommand(input) {
        this.input = input;
        this.model = GetDataSource_1.GetDataSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetDataSourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetDataSourceCommand;
}());
exports.GetDataSourceCommand = GetDataSourceCommand;
//# sourceMappingURL=GetDataSourceCommand.js.map