"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetEvaluation_1 = require("../model/operations/GetEvaluation");
var GetEvaluationCommand = /** @class */ (function () {
    function GetEvaluationCommand(input) {
        this.input = input;
        this.model = GetEvaluation_1.GetEvaluation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetEvaluationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetEvaluationCommand;
}());
exports.GetEvaluationCommand = GetEvaluationCommand;
//# sourceMappingURL=GetEvaluationCommand.js.map