"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var __aws_sdk_modeled_endpoint_middleware = require("@aws-sdk/modeled-endpoint-middleware");
var Predict_1 = require("../model/operations/Predict");
var PredictCommand = /** @class */ (function () {
    function PredictCommand(input) {
        this.input = input;
        this.model = Predict_1.Predict;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PredictCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        stack.add(__aws_sdk_modeled_endpoint_middleware.modeledEndpointMiddleware(configuration.urlParser, "PredictEndpoint"), {
            step: "build",
            priority: 50,
            tags: { APPLY_PREDICT_ENDPOINT: true }
        });
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PredictCommand;
}());
exports.PredictCommand = PredictCommand;
//# sourceMappingURL=PredictCommand.js.map