"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateDataSource_1 = require("../model/operations/UpdateDataSource");
var UpdateDataSourceCommand = /** @class */ (function () {
    function UpdateDataSourceCommand(input) {
        this.input = input;
        this.model = UpdateDataSource_1.UpdateDataSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateDataSourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateDataSourceCommand;
}());
exports.UpdateDataSourceCommand = UpdateDataSourceCommand;
//# sourceMappingURL=UpdateDataSourceCommand.js.map