"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateEvaluation_1 = require("../model/operations/UpdateEvaluation");
var UpdateEvaluationCommand = /** @class */ (function () {
    function UpdateEvaluationCommand(input) {
        this.input = input;
        this.model = UpdateEvaluation_1.UpdateEvaluation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateEvaluationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateEvaluationCommand;
}());
exports.UpdateEvaluationCommand = UpdateEvaluationCommand;
//# sourceMappingURL=UpdateEvaluationCommand.js.map