"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateMLModel_1 = require("../model/operations/UpdateMLModel");
var UpdateMLModelCommand = /** @class */ (function () {
    function UpdateMLModelCommand(input) {
        this.input = input;
        this.model = UpdateMLModel_1.UpdateMLModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateMLModelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateMLModelCommand;
}());
exports.UpdateMLModelCommand = UpdateMLModelCommand;
//# sourceMappingURL=UpdateMLModelCommand.js.map