"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddTagsInput_1 = require("../shapes/AddTagsInput");
var AddTagsOutput_1 = require("../shapes/AddTagsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var InvalidTagException_1 = require("../shapes/InvalidTagException");
var TagLimitExceededException_1 = require("../shapes/TagLimitExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServerException_1 = require("../shapes/InternalServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsInput_1.AddTagsInput
    },
    output: {
        shape: AddTagsOutput_1.AddTagsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InvalidTagException_1.InvalidTagException
        },
        {
            shape: TagLimitExceededException_1.TagLimitExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=AddTags.js.map