"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RDSDatabase_1 = require("./_RDSDatabase");
var _RDSDatabaseCredentials_1 = require("./_RDSDatabaseCredentials");
var _EDPSecurityGroupIds_1 = require("./_EDPSecurityGroupIds");
exports._RDSDataSpec = {
    type: "structure",
    required: [
        "DatabaseInformation",
        "SelectSqlQuery",
        "DatabaseCredentials",
        "S3StagingLocation",
        "ResourceRole",
        "ServiceRole",
        "SubnetId",
        "SecurityGroupIds"
    ],
    members: {
        DatabaseInformation: {
            shape: _RDSDatabase_1._RDSDatabase
        },
        SelectSqlQuery: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DatabaseCredentials: {
            shape: _RDSDatabaseCredentials_1._RDSDatabaseCredentials
        },
        S3StagingLocation: {
            shape: {
                type: "string"
            }
        },
        DataRearrangement: {
            shape: {
                type: "string"
            }
        },
        DataSchema: {
            shape: {
                type: "string"
            }
        },
        DataSchemaUri: {
            shape: {
                type: "string"
            }
        },
        ResourceRole: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ServiceRole: {
            shape: {
                type: "string",
                min: 1
            }
        },
        SubnetId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        SecurityGroupIds: {
            shape: _EDPSecurityGroupIds_1._EDPSecurityGroupIds
        }
    }
};
//# sourceMappingURL=_RDSDataSpec.js.map